## ros-indigo-audio-capture 0.2.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(audio_capture)

find_package(catkin REQUIRED COMPONENTS roscpp audio_common_msgs)

find_package(PkgConfig)
pkg_check_modules(GST gstreamer-0.10 REQUIRED)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${GST_INCLUDE_DIRS})

catkin_package()

add_executable(audio_capture src/audio_capture.cpp)
target_link_libraries(audio_capture ${catkin_LIBRARIES} ${GST_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(audio_capture ${catkin_EXPORTED_TARGETS})

install(TARGETS audio_capture
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-audio-capture (0.2.13-0trusty) trusty; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
  * Contributors: Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-audio-capture (0.2.12-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Feb 2016 00:00:00 -0000

ros-indigo-audio-capture (0.2.11-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 16 Feb 2016 00:00:00 -0000

ros-indigo-audio-capture (0.2.10-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Jan 2016 00:00:00 -0000

ros-indigo-audio-capture (0.2.9-0trusty) trusty; urgency=high

  * [audio_capture] add error handler
  * [audio_capture] add option to publish captured audio data as wav format
  * Fixed memory leak (see #18 <https://github.com/ros-drivers/audio_common/issues/18>).
  * Removed trailing whitespace.
  * Contributors: Felix Duvallet, Furushchev

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-indigo-audio-capture (0.2.8-0trusty) trusty; urgency=high

  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 02 Oct 2015 00:00:00 -0000

ros-indigo-audio-capture (0.2.7-0trusty) trusty; urgency=high

  * audio_capture.cpp has to wait for generated AudioData headers
  * Contributors: v4hn

 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 00:00:00 -0000

ros-indigo-audio-capture (0.2.6-0trusty) trusty; urgency=high

  * audio_capture and play _require_ gstreamer, it's not optional
  * Contributors: v4hn

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Feb 2014 00:00:00 -0000

ros-indigo-audio-capture (0.2.5-0trusty) trusty; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Jan 2014 00:00:00 -0000

ros-indigo-audio-capture (0.2.4-0trusty) trusty; urgency=high

  * Update CMakeLists.txt
  * audio_capture: install launchfiles
  * Contributors: David Gossow

 -- Austin Hendrix <namniart@gmail.com>  Tue, 10 Sep 2013 00:00:00 -0000

ros-indigo-audio-capture (0.2.3-0trusty) trusty; urgency=high

  * Fix install rule for audio_capture.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-indigo-audio-capture (0.2.2-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Apr 2013 00:00:00 -0000

ros-indigo-audio-capture (0.2.1-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:59:00 -0000

ros-indigo-audio-capture (0.2.0-0trusty) trusty; urgency=high

  * Finish catkinizing audio_common.
  * Catkinize audio_play.
  * Catkinize audio_capture.
  * Fix typo in package.xml
  * Versions and more URLs.
  * Convert manifests to package.xml
  * Convert audio_capture manifest to package.xml
  * Ditch old makefiles.
  * Updates manifest
  * Updated manifests for rodep2
  * oneiric build fixes, bump version to 0.1.6
  * Removed redundant thread::thread
  * Added a rosdep.yaml file
  * Fixed to use audio_common_msgs
  * Added ability to use different festival voices
  * Updated documentation
  * Added ability to capture to file
  * Fixed ignore files
  * Added hgignore files
  * Audio_capture and audio_play working
  * Making separate audio_capture and audio_play packages
  * Moved audio_transport to audio_capture
  * Contributors: Austin Hendrix, Brian Gerkey, Nate Koenig, nkoenig

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:49:00 -0000

=== debian/control ===
Source: ros-indigo-audio-capture
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, ros-indigo-audio-common-msgs, ros-indigo-catkin, ros-indigo-roscpp
Homepage: http://ros.org/wiki/audio_capture
Standards-Version: 3.9.2

Package: ros-indigo-audio-capture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-plugins-good, gstreamer0.10-plugins-ugly, libgstreamer-plugins-base0.10-0, libgstreamer0.10-0, ros-indigo-audio-common-msgs, ros-indigo-roscpp
Description: Transports audio from a source to a destination.
 Audio sources can come from a microphone or file. The destination can play the audio or save it to an mp3 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-audio-capture//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
